// 定义最大的 fontSize
var MAX_font_size = 42;

// 监听 html 文档被解析完成的事件
document.addEventListener('DOMContentLoaded', function() {

  // 获取 html 标签
  var html = document.querySelector('html');
  // 获取根元素 fontSize 标准, 屏幕宽度 / 10
  var fontSize = window.innerWidth / 10;
  // 获取到的 fontSize 不允许超过我们定义的最大值
  fontSize = fontSize > MAX_font_size ? MAX_font_size : fontSize
  // 定义根元素(html) fontSize的大萧 (rem)
  html.style.fontSize = fontSize + 'px';
})

